ForwardingTable (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.fwd

## Interface ForwardingTable

- All Known Implementing Classes:
    SFFTable

      public interface ForwardingTable

  a generic forwarding table.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` clears the forwarding table.
    `void` | `consolidate()`
    `void` | `ifconfig(java.lang.Object ifx, Predicate p)` associates an interface with a predicate This is the main method that builds the forwarding table.
    `void` | `match(Message m, MatchHandler p)` matches a message against the proedicates in the table.
    `void` | `match(Message m, MatchMessageHandler p)` matches a message against the proedicates in the table.

- - ### Method Detail

    - #### consolidate

          void consolidate()

    - #### clear

          void clear()

      clears the forwarding table. Removes every association of predicates and interfaces. After the execution of this method, the forwarding table is ready to be rebuilt from scratch.

    - #### match

          void match(Message m,
                   MatchMessageHandler p)

      matches a message against the proedicates in the table. For each matching predicate, this method delegates the execution of a specific action to the given match handler.
      See Also:
        `MatchMessageHandler`

    - #### match

          void match(Message m,
                   MatchHandler p)

      matches a message against the proedicates in the table. For each matching predicate, this method delegates the execution of a specific action to the given match handler.
      See Also:
        `MatchHandler`

    - #### ifconfig

          void ifconfig(java.lang.Object ifx,
                      Predicate p)
                        throws BadConstraintException

      associates an interface with a predicate This is the main method that builds the forwarding table. It associates an interface object with a predicate. Notice that this forwarding table is a dictionary-type data structure, which means that this method may be called only once for each inteface object. If you need to modify the predicate associated with an interface, you must rebuild the entire forwarding table.
      Throws:
        `BadConstraintException`

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga